"""This module returns a list of miaus"""

from random import randint
from typing import List, Text

import click


class PhraseGenerator:
    """This class returns a random phrase"""

    list_phrases: List[Text] = [
        "A llorrar a la lloreria!",
        "jajaja, no se de que me hablas, salu2",
        "Ánimo colega",
    ]

    @classmethod
    def gen_random_phrase(cls):
        """Returns a random phrase"""
        random_index = randint(0, len(cls.list_phrases) - 1)
        return cls.list_phrases[random_index]


@click.group(invoke_without_command=True)
@click.option("--count", "-c", "count", default=1, help="Número de miaus.")
def main(count: int = 1) -> None:
    """This commands help to interact with gaticos"""
    for _ in range(count):
        click.echo('Miau!')


@main.command()
def animame():
    """Returns a random phrase"""
    phrase = PhraseGenerator().gen_random_phrase()
    click.echo(
        f"""        
        ⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿{phrase}⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
        ⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡿⠟⠻⠿⠿⢿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
        ⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⠟⠁⣠⣴⣦⣴⣶⣦⡈⠙⢿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
        ⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⠛⠉⠉⠻⣿⣿⣿⡟⠁⠀⠾⢿⣿⣿⣿⣿⣿⣿⡮⠀⢹⣿⣿⣿⡟⠁⠀⢻⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
        ⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡀⠀⠀⠁⠙⢿⡟⠁⢀⠤⠤⢄⡈⠻⣿⣿⠋⠁⠀⣤⣄⣙⠻⠋⠀⠀⢀⣼⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
        ⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣷⣶⣶⣄⡀⠀⠀⠀⠀⠀⡀⠀⠀⠘⡃⠀⠀⠀⣀⠀⠸⡇⢠⣶⣾⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
        ⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⠀⠀⣀⡀⠁⠀⠛⣀⣴⣿⣷⣄⡀⠀⠘⠀⣠⠓⢸⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
        ⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⠃⠀⣼⣿⣿⡿⠋⠩⠉⣿⣿⣿⣿⣿⡿⢷⣿⣿⡧⠁⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
        ⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⠀⠀⠉⠉⠉⣀⣀⣀⣀⣈⣉⣉⣉⣤⣴⣄⠙⠛⠿⢃⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
        ⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡀⢸⣿⠀⣄⡈⠛⠿⣿⣿⣿⣷⣿⣿⣿⠿⠷⢄⡀⠸⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
        ⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⠟⠀⢀⣤⢰⣾⣽⣧⣒⡀⠭⠭⢭⣭⣭⣵⣶⣾⣿⣿⠀⣛⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
        ⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⠏⠀⣠⣾⢻⣜⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡿⢳⣦⣍⠛⠿⣟⠿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
        ⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡿⠋⠀⠰⣿⣿⡀⢻⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⢿⣴⣿⣿⣿⣿⣷⣦⣥⣬⣋⡛⠿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
        ⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⠟⠋⠀⠀⠀⠀⠉⠿⢋⣤⡈⠻⠟⠻⢿⣿⣿⣿⣿⣿⣿⣿⣯⣾⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣷⣶⣌⡙⢿⣿⣿⣿⣿⣿⣿⣿
        ⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡿⠿⠛⠛⣋⣁⠀⠀⠀⠀⠀⣠⣤⣀⠀⠙⠻⣦⡄⠀⠈⠙⢛⣛⣉⣭⣤⣾⠟⣰⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣆⠹⣿⣿⣿⣿⣿⣿
        ⣿⣿⣿⣿⣿⣿⣿⣿⡟⠋⢁⣰⣾⣿⣿⣿⣿⣏⣀⣠⣴⣿⣿⣿⣿⣷⣶⣤⣦⣴⣶⣶⣿⣿⣿⣿⣿⠿⢋⣼⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣷⡘⢿⣿⣿⣿⣿
        ⣿⣿⣿⣿⣿⣿⡿⠋⢀⣴⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣯⣭⣴⣾⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣷⡈⣿⣿⣿⣿
        ⣿⣿⣿⣿⣿⡿⠁⢀⣾⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡶⢾⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣷⢸⣿⣿⣿
        ⣿⣿⣿⣿⡻⠁⢠⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⢿⡇⢾⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⠋⠚⡿⢿⣿⣿⣿⣿⣿⣿⣿⣿⠘⣿⣿⣿
        ⣿⣿⣿⣿⠃⠴⠘⠉⣿⣿⣿⡿⢿⠿⠙⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡇⣼⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡿⢛⠃⠀⠀⠠⠛⢿⣿⣿⣿⣿⣿⣿⣧⠙⣿⣿
        ⣿⣿⣿⣿⠀⢠⢸⠀⠛⠛⠋⠃⠀⠀⢸⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡃⠈⠙⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣟⣰⠋⠀⠀⣴⣶⣶⣤⣴⢻⣽⣿⣿⣿⣿⣷⠸⣿
        ⣿⣿⣿⡿⠀⠈⠣⡀⠀⠀⠀⠀⠀⠀⠠⡀⠈⠙⢿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⠉⣁⠀⠀⠈⣿⣿⣿⣿⣿⣿⣿⣯⣩⠟⠉⠀⠠⠀⢸⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡇⢿
        ⣿⣿⡿⠁⣴⣄⠀⢉⣲⣦⣤⡀⠀⠀⠀⠑⢦⣀⠀⠉⠛⠻⠿⠛⠛⠛⠛⢿⡿⠷⠾⠏⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡇⢸
        ⣿⣿⠁⣸⣿⣿⣧⡈⢸⣿⣿⣿⡀⠀⠀⠀⠀⠉⠃⠀⠀⠠⠄⠀⠀⠀⠀⢀⣠⣤⣾⣿⣶⣄⡀⠀⠉⠛⠋⠉⠉⠛⠉⠀⠀⠀⠀⠀⠀⢹⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡇⣸
        ⣿⡇⠀⣿⣿⣿⡟⢡⣿⣿⣿⣿⡁⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠠⠴⠟⠿⣿⣿⣿⣿⣿⣿⣿⡶⠤⡄⡀⠀⠀⠀⠀⠀⠀⠀⠀⠐⢸⣿⣿⡿⣿⣿⣿⣿⣿⣿⣿⣿⣿⠇⣿
        ⣿⡇⢰⣿⣿⣿⠃⣾⣿⣿⣿⣿⠃⠀⠀⠀⠀⠀⠀⠀⠀⠀⣤⣀⢀⣤⣶⣶⣶⣾⣿⡿⣿⣿⣿⣿⣿⣶⣏⣀⣀⣤⣄⣠⣶⣾⡖⡆⠀⠀⠻⣿⣇⠹⣿⣿⣿⣿⣿⣿⣿⣿⢸⣿
        ⣿⠀⡀⣿⣿⠏⣸⣿⣿⣿⣿⣿⠀⢠⡄⠀⠀⠀⠀⠀⢠⣄⡉⠛⣿⣿⣿⣿⣿⣿⣿⡇⠻⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⠇⠀⡀⠀⠀⠙⣿⡆⠹⣿⣿⣿⣿⣿⣿⣿⢸⣿
        ⡿⢠⣅⣿⡯⢀⣿⣿⣿⣿⡿⠃⠀⣾⣿⡄⠀⠀⠀⠀⠀⠈⠛⠀⠛⠛⠛⠛⠉⢻⣿⣿⠀⠸⠛⠛⠿⠿⢿⣿⣿⣿⣿⣿⣷⡀⠈⠀⢁⣾⡀⠀⠈⠀⠀⢈⣿⣿⣿⣿⣿⣿⢸⣿
        ⡇⢸⣿⣧⠀⢾⣿⣿⡿⠏⠀⠀⣼⣿⣿⣿⡄⠀⠂⣴⣤⡐⡀⠀⣤⣤⣴⣶⣦⣤⣍⠻⣶⣶⣾⣷⣶⣦⣤⣈⠙⠛⠛⠳⣿⣿⡇⢠⣾⣿⣿⣄⠀⠀⠀⠲⣿⣿⣿⣿⣿⣿⡘⣿
        ⡇⣾⣿⣿⡆⠈⠀⠀⠀⠀⠀⣴⣿⣿⣿⣿⡇⠀⡝⣿⣽⣿⠒⠀⢿⣿⣿⣿⣿⣿⣿⡇⢶⣿⣿⣿⣿⣿⣿⣿⣶⣿⣿⣿⣿⣿⢀⣿⣿⣿⣿⣿⡆⠀⢀⣶⣿⣿⣿⣿⣿⣿⢁⣿
        ⣿⣿⣿⣿⣿⣴⠀⠀⠀⢠⣾⣿⣿⣿⣿⣿⠃⠰⣷⣾⡏⣿⡗⠀⠘⠿⢿⠟⣿⣿⣿⠇⢾⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡟⢸⣿⣿⣿⣿⣿⠇⢲⣾⣿⣿⣿⣿⣿⣿⠟⠈⣿
        ⣿⣿⣿⣿⣿⣿⣦⡀⠀⢸⣿⣿⣿⣿⣿⡟⠀⣠⣸⣿⣷⣮⡙⠀⣀⣀⣀⣀⣉⡿⡿⠇⣀⠉⠙⠟⢩⣿⣿⣿⣿⣿⣿⣿⡿⠀⣿⣿⣿⣿⣿⣿⢀⣿⣿⣿⣿⣿⣿⣿⣿⣧⡄⢹
        ⣿⣿⣿⣿⣿⣿⣿⣿⠃⢸⣿⣿⣿⣿⣿⠇⢨⣿⣿⣿⣿⣿⣿⣦⣈⢻⠿⣿⣿⣄⣠⣼⣿⣿⣿⣿⣛⣿⣿⣿⣿⣿⣿⣿⠁⢠⣿⣿⣿⣿⣿⡏⢸⣿⣿⣿⣿⣿⣿⣿⣿⣿⡇⢸
        ⣿⣿⣿⣿⣿⣿⣿⣿⣆⣸⣿⣿⣿⣿⣿⠇⠀⣟⡏⠉⣻⣿⣿⣿⡿⠿⣿⡟⣿⣿⡟⢹⣿⣿⣿⣿⣿⣿⣿⣿⣿⡿⠿⠦⠀⣾⣿⣿⣿⣿⣿⠇⠈⣿⣿⣿⣿⣿⣿⣿⣿⣿⠁⣸
        """
    )


if __name__ == '__main__':  # pragma: no cover
    main()
